#include <QtCore/QString>
#include <QDialog>

#include "PublisherSelectDialog.h"
#include "PublisherSelectDialog.moc"


PublisherSelectDialog::PublisherSelectDialog(
	const std::vector<PP100_ENUM_PUBLISHER_INFO>& arPublisherInfo,
	QDialog *parent)
{
	setupUi(this);
	comboBox->clear();
	for(auto info : arPublisherInfo)
	{
		// Add Publisher name to combo box
		comboBox->addItem(info.pPublisherName);
	}
}


PublisherSelectDialog::~PublisherSelectDialog()
{
}


int PublisherSelectDialog::getSelectedPublisher()
{
	return comboBox->currentIndex();
}
